import pycodestyle
from tests.base_test import TestBase

# Tests files to ensure they conform to pep8 standards


class TestPep8(TestBase):
    def test_pep8_conformance(self):
        """Test that we conform to PEP8."""
        pep8style = pycodestyle.StyleGuide()
        dirs = ["./controllers", "./models", "./scripts", "./tests", "./utils"]
        result = pep8style.check_files(dirs)
        assert result.total_errors == 0
