from abc import ABC


class User(ABC):
    """ Functional Class constructor to initialise all properties in
        the base object with a value
    """

    def __init__(self, username: str, password: str,
                 firstname: str, lastname: str,
                 email: str, phone: str, role: str
                 ):
        self.id = 0
        self.username = username
        self.password = password
        self.firstName = firstname
        self.lastName = lastname
        self.email = email
        self.phone = phone
        self.role = role
